#define MASTER 0x32        /* ScanCode for 'M' key */
#define SLAVE 0x1f         /* ScanCode for 'S' key */
#define STANDALONE 0x02    /* ScanCode for '1' key */
// set MASTER mode by pressing Alt-Ctl-M keys
// set SLAVE mode by pressing Alt-Ctl-S keys
// set STANDALONE by pressing Alt-Ctl-1 keys
// these settings assume that the scan codes equate with English keyboard.


int kb_hit(void); // tests to see if a key has been hit. More specifically,
                  // tests whether 'head' and 'tail' keyboard-buffer pointers
                  // are equal

void kb_ungetch(char ch); // puts a char back into the keyboard buffer. This
                          // character appears to your program the same as
                          // one that you have entered from the keyboard.

char kb_getch(void); // gets a character (or function key) from the keyboard
                     // and sends it to your program the same as getch(), but
                     // if in MASTER mode, also sends it to serial port A, or
                     // in SLAVE mode, gets the character from the serial line
                     // and puts it into the keyboard buffer. The program
                     // running on the SLAVE system sees it as keybd input.

void disp_kb_bfr(int period); // displays the keyboard buffer without
                              // modifying anything.
                              // Shows Head & Tail as '>' & '<'.

void  kb_ungets(char *str);   // Puts characters into kb-bfr. Use like this :
     // 1) ungets("\0\x3c") - put the FUNC-1 character into the keybd buffer
     //   the leading zero specifies that this is a
     //   function/arrow/etc. character. The second char (0x3c) is the scancode.
     // 2) ungets("Hello World") - must be less than 16 characters
     // these characters are then ready to be read by your program exactly
     // the same as if they had been keyed in.

